> ## Documentation Index
> Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# RC Challan

> Helps to get the challan related details of a vehicle by providing the Vehicle RC Number.



## OpenAPI

````yaml GET /v1/verification/rc-challan-details
openapi: 3.0.2
info:
  title: Deepvue.tech Developers' Guide
  description: >-
    Deepvue.tech's APIs and SDKs are a No-Code Solution to Document Digitization
    and Verification for Businesses.
  version: v1
  x-logo:
    url: https://deepvue.tech/wp-content/uploads//2022/01/deepvue-logo1-1.svg
servers:
  - url: https://production.deepvue.tech
security:
  - BearerAuth: []
    ApiKeyAuth: []
tags:
  - name: Authorization
    description: |-
      - You need an Authorized Access Token to access any of the Platform APIs.
      - One Access Token will be valid for only 24 hours.
      - After 24 hours, you can renew the token by using the Authorize Endpoint.
      - This will issue another access_token valid for 24 hrs.
  - name: Aadhaar Ekyc V2
    description: New streamlined APIs for Aadhaar eKYC
  - name: Offline Aadhaar eKYC
    description: >-
      Offline Aadhaar KYC, or OKYC, is a legally compliant KYC method as per
      UIDAI guidelines.   
                              Your customers can provide their Aadhaar number and verify with an OTP sent to their Aadhaar-linked mobile number, to access a downloadable XML file with their Aadhaar details.   

      **How does Offline Aadhaar Verification work?**    
                              **Provide Consent**:  Customers agree or disagree to continue at the initial screen.   
                              **Share Aadhaar Number**: Customers provide their Aadhaar number to proceed with the verification.   
                              **Verify with OTP**: Verify with an OTP sent to their Aadhaar-linked mobile number by UIDAI, to access a downloadable XML file with their Aadhaar details in a share code manner.    
                              **Realtime face match** for liveness detection: The Aadhaar Offline document has Name, Address, Photo, Gender, DOB. Optionally, the photo in the UIDAI Issued Aadhaar document can be matched with customers' live photo or a selfie in real time to ensure liveness checks.   

      *You can simply integrate Offline Aadhaar eKYC within your application
      with no-code and in no time with our Deepvue.tech Offline Aadhaar eKYC
      SDKs.*    


      **Below are the integration guides to integrate the platform specific
      SDKs:**   

      **Android SDK** :
      https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-android-sdk   
                              **iOS SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-ios-sdk   
                              **React-Native SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-react-sdk    
                              **Flutter SDK** : https://pub.dev/packages/aadhaar_offline_ekyc    

      **NOTE**:   
                  
              As per the compliances by UIDAI on sharing and storage of Aadhaar number is not allowed.    
              
              Service Providers shall not share, publish or display either Share Code or XML file or its contents with anyone else.   
              Any non-compliance of these actions shall invite actions under Sections 17 and 25 of The Aadhaar (Authentication) Regulation, 2016,    
              Sections 4 and 6 of The Aadhaar (Sharing of Information) Regulation, 2016 and Sections 29(2), 29 (3), and 37 of The Aadhaar Act, 2016.   

              Consent should be mandatorily stored at the company end to proceed with verification.   

      If you want to integrate Aadhaar eKYC in your web application or want to
      build your own customized workflow you can use our Aadhaar eKYC APIs
      detailed below.   


      Embed offline eKYC Aadhaar flow to verify consumers on your application
      using a simple flow.    
                                      - **Initiate Session**: This API allows the platform to initiate a session to get the captcha before passing the Aadhaar number of the customer.    
                                      - **Generate OTP**: This API allows the platform to pass the Aadhaar number to generate OTP to the linked mobile number.    
                                      - **Verify OTP**: This API allows the platform to pass the OTP to Deepvue.tech to fetch the customer's Aadhaar information from UIDAI.    

      If the customer or the platform wishes to restart the session, a new
      captcha can be generated using the Reload Captcha API.
  - name: Digilocker
    description: >-
      Digilocker is an initiative under Digital India Program which aims to
      remove the dependency on physical documents and power the sharing of
      verified electronic documents across authorised agencies.   


      **Benefits of Digilocker**    
                              1. Documents can be shared online, accessed anytime, anywhere.   
                              2. Documents can be authenticated by the users, legally on a par with originals.   
                              3. It's simple to use and very convenient.   
                              4. Documents are issued directly by the registered issuers such as Income Tax Department, CBSE, Registrar Office, etc.    

      **Product Flow**   

      **Initiate Session** : This API creates a session in which DigiLocker
      journey can be completed with other APIs in the flow.   
                              **Get User Access Token** : This API allows the platform to get user access token from Digilocker by passing the authorisation code generated from Digilocker.   
                              **Get Issued Files** : This API allows the platform to fetch a list of issued documents from Digilocker.    
                              **Download e-Aadhar** : This API allows the platform to download the Aadhaar XML from Digilocker.    
                              **Download File** : This API allows the platform to download the file from Digilocker by passing the URI for a particular document.    
  - name: KYC APIs
    description: >-
      Verify Aadhaar, PAN, GSTIN, Bank Account, and UPI details in real time for
      quick KYC checks.
  - name: Document OCR
    description: >-
      Our systems use Modern & Latest OCR technology to scan the document images
      for field’s like full name, dob, address, etc. on the photo IDs and
      exctract these fields as key-value pairs.
  - name: Document Forensics
    description: >-
      Set of APIs that help with document forensic checks like template
      validation, image quality, photocopy, and spoof checks.
  - name: Face Forensics
    description: >-
      APIs for facial recognition and liveliness verification in real time.    

      The Face Match API employs advanced algorithms for reliable facial
      matching, crucial for secure access control and compliance.   

      The Passive Liveness API enhances security by detecting and confirming the
      liveliness of faces during authentication, providing an additional layer
      of protection against impersonation and fraud.   
  - name: Async KYC APIs
    description: >-
      Verify other Identity documents such as Driving License, Vehicle
      Registration Certificate etc. in real time for fast KYC checks.    
              These are Asynchronous APIs which return a request ID and use a webhook mechanism to return the response back to your servers.    
              You can then use this request ID and feed this into our GET API to consume the response.
  - name: GST APIs
    description: >-
      Set of APIs that help with GST Registered business verification and
      onboarding.
  - name: GST Taxpayer APIs
    description: >-
      The GST Taxpayer APIs are provided by the GSTN for public usage. These
      APIs, together, mirror the GST Portal.   


      Therefore, you can use these APIs to integrate GST compliance into your
      workflow itself.   


      Use the following workflow to access the GST Taxpayer APIs:   


      **First**, the GST taxpayer is authenticated using **OTP
      Verification**.   


      **Second**, after successful authentication, the GST Taxpayer APIs can be
      accessed.   
         i. **Ledger APIs** - Fetch the taxpayer's ledger like a) Cash ITC Balance, b) Cash Ledger, c) ITC Ledger.   
         ii. **Returns APIs** - Fetch the taxpayer's detailed summaries of GSTR -1 and GSTR -3B Returns.   
  - name: Taxpayer APIs
    description: |-
      Taxpayer APIs includes TAN Verification.   

       Taxpayer APIs help businesses verify their vendors, customers & employees using TAN. APIs also provide publicly available data such as name, address, and contact details that can be verified against physical documents.   
  - name: ITR APIs
    description: |-
      ITR APIs includes ITR Verification APIs including 26AS.   

       ITR APIs helps businesses download ITR information, such as ITR ID, Filing Year, Acknowledgement Number, ITR Form, Filing Date, ITR status, etc..    
  - name: MSME APIs
    description: >-
      Set of APIs that help with MSME Registered business verification and
      onboarding.
  - name: MCA APIs
    description: >-
      Set of APIs that help fetch MCA's Director Master Data & Company Master
      Data.
  - name: Financial Services
    description: >-
      Suite that provides you whole array of APIs to serve multiple financial
      services and fetch data for an organisation or individual from various
      data sources in a streamlined manner.   


      Some of the key things that you can do here are:   


      i.Fetch the Credit Report from any of our partner credit bureaus.   

      ii.Fetch customer's Customer Data Pull basis mobile number and name to
      simplify your onboarding.
  - name: Account Aggregator
    description: >-
      Account Aggregators(AAs) are regulated entities that facilitate consented
      sharing of financial data by utilising the DEPA framework. They act as the
      bridge between data providers such as banks, and data consumers such as
      lenders—to enable the sharing of a user’s financial data based on their
      explicit consent.   
              Deepvue currently provides AA-related services in close partnership with a fully-licensed AA.
paths:
  /v1/verification/rc-challan-details:
    get:
      tags:
        - KYC APIs
      summary: Rc Challan Details
      description: >-
        Helps to get the challan details of a vehicle by providing the RC
        number, Chasis Number, and Engine Number.
      operationId: RC_Challan_Details_v1_verification_rc_challan_details_get
      parameters:
        - required: true
          schema:
            title: Rc Number
            type: string
          name: rc_number
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                title: Response 200 - Challans Found / No Challan Found
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_RC_CHALLAN_200_CHALLANS_FOUND
                  - $ref: >-
                      #/components/schemas/RESPONSE_RC_CHALLAN_200_NO_CHALLAN_FOUND
              examples:
                200 - Challans Found:
                  summary: Challan details fetched successfully
                  value:
                    code: 200
                    timestamp: 1738007665809
                    transaction_id: 9a893cf1287a434285793d8c5f0a5cf4
                    sub_code: SUCCESS
                    message: Challan details fetched successfully
                    data:
                      challan_details:
                        challans:
                          - number: 1
                            challan_number: '25738882'
                            offense_details: NO PARKING
                            offense_details_list: []
                            challan_place: DIGITAB VIOLATION
                            challan_date: '2018-07-04'
                            challan_date_time: '2018-07-04T16:07:00'
                            state: KA
                            rto: null
                            upstream_code: KA
                            accused_name: MOHAMMAD NIHAR
                            amount: 100
                            challan_status: Not Paid
                            court_challan: null
                            court_name: ''
                          - number: 2
                            challan_number: '29999394'
                            offense_details: PILLION RIDER - NOT WEARING HELMET
                            offense_details_list: []
                            challan_place: DIGITAB VIOLATION
                            challan_date: '2019-07-10'
                            challan_date_time: '2019-07-10T17:26:00'
                            state: KA
                            rto: null
                            upstream_code: KA
                            accused_name: MOHAMMAD NIHAR
                            amount: 100
                            challan_status: Not Paid
                            court_challan: null
                            court_name: ''
                        blacklist: []
                        successful_backends:
                          - ECHALLAN
                          - KA
                        failed_backends: []
                200 - No Challan Found:
                  summary: No challan found
                  value:
                    code: 200
                    timestamp: 1738007864045
                    transaction_id: 0bc9e66cb57f492390e9312172a05ea7
                    sub_code: NO_CHALLAN_FOUND
                    message: No challan found
        '401':
          description: Incorrect client_id or client_secret
          content:
            application/json:
              schema:
                title: >-
                  Response 401 - Not Authenticated / Invalid Client ID /
                  Incorrect Client Credentials
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_RC_CHALLAN_401_UNAUTHENTICATED
                  - $ref: >-
                      #/components/schemas/RESPONSE_RC_CHALLAN_401_INVALID_CLIENT_ID
                  - $ref: >-
                      #/components/schemas/RESPONSE_RC_CHALLAN_401_INCORRECT_CLIENT_CREDENTIALS
              examples:
                401 - Not Authenticated:
                  summary: Not authenticated
                  value:
                    detail: Not authenticated
                401 - Invalid Client ID:
                  summary: Invalid Client ID
                  value:
                    detail: Invalid client_id, access Denied
                401 - Incorrect Client Credentials:
                  summary: Invalid client credentials
                  value:
                    detail: Incorrect client_id or client_secret
        '403':
          description: Access Forbidden
          content:
            application/json:
              schema:
                title: Response 403 - Invalid Token / Access Forbidden
                oneOf:
                  - $ref: '#/components/schemas/RESPONSE_RC_CHALLAN_403_INVALID_TOKEN'
                  - $ref: >-
                      #/components/schemas/RESPONSE_RC_CHALLAN_403_ACCESS_FORBIDDEN
              examples:
                403 - Invalid Token:
                  summary: Invalid token
                  value:
                    detail: Not a valid token
                403 - Access Forbidden:
                  summary: Access forbidden
                  value:
                    detail: Access forbidden
        '422':
          description: BAD_REQUEST
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RESPONSE_RC_CHALLAN_422_INVALID_PATTERN'
              examples:
                422 - Invalid RC Pattern:
                  summary: Invalid RC pattern
                  value:
                    code: 422
                    timestamp: 1738027653699
                    transaction_id: ef33233d12e94f3f919a5cc1be4ec28f
                    sub_code: INVALID_INPUT
                    message: Invalid RC Pattern.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                title: Response 500 - Internal Server Error / Source Failure
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_RC_CHALLAN_500_INTERNAL_SERVER_ERROR
                  - $ref: >-
                      #/components/schemas/RESPONSE_RC_CHALLAN_500_SOURCE_FAILURE
              examples:
                500 - Internal Server Error:
                  summary: Internal server error
                  value:
                    detail: Internal Server Error
                500 - Source Failure:
                  summary: Source failure
                  value:
                    code: 500
                    timestamp: 1729764451763
                    transaction_id: string
                    sub_code: SOURCE_FAILURE
                    message: Source failure. Unable to validate.
components:
  schemas:
    RESPONSE_RC_CHALLAN_200_CHALLANS_FOUND:
      title: Challans Found
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: SUCCESS
        message:
          title: Message
          type: string
          default: Challan details fetched successfully
        data:
          title: Data
          type: object
          properties:
            challan_details:
              title: Challan Details
              type: object
              properties:
                challans:
                  title: Challans
                  type: array
                  items:
                    type: object
                    properties:
                      number:
                        title: Number
                        type: integer
                      challan_number:
                        title: Challan Number
                        type: string
                      offense_details:
                        title: Offense Details
                        type: string
                      offense_details_list:
                        title: Offense Details List
                        type: array
                        items:
                          type: string
                      challan_place:
                        title: Challan Place
                        type: string
                      challan_date:
                        title: Challan Date
                        type: string
                      challan_date_time:
                        title: Challan Date Time
                        type: string
                      state:
                        title: State
                        type: string
                      rto:
                        title: RTO
                        type: string
                        nullable: true
                      upstream_code:
                        title: Upstream Code
                        type: string
                      accused_name:
                        title: Accused Name
                        type: string
                      amount:
                        title: Amount
                        type: integer
                      challan_status:
                        title: Challan Status
                        type: string
                      court_challan:
                        title: Court Challan
                        type: string
                        nullable: true
                      court_name:
                        title: Court Name
                        type: string
                blacklist:
                  title: Blacklist
                  type: array
                  items:
                    type: string
                successful_backends:
                  title: Successful Backends
                  type: array
                  items:
                    type: string
                failed_backends:
                  title: Failed Backends
                  type: array
                  items:
                    type: string
    RESPONSE_RC_CHALLAN_200_NO_CHALLAN_FOUND:
      title: No Challan Found
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: NO_CHALLAN_FOUND
        message:
          title: Message
          type: string
          default: No challan found
    RESPONSE_RC_CHALLAN_401_UNAUTHENTICATED:
      title: Not Authenticated
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not authenticated
    RESPONSE_RC_CHALLAN_401_INVALID_CLIENT_ID:
      title: Invalid Client ID
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Invalid client_id, access Denied
    RESPONSE_RC_CHALLAN_401_INCORRECT_CLIENT_CREDENTIALS:
      title: Incorrect Client Credentials
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Incorrect client_id or client_secret
    RESPONSE_RC_CHALLAN_403_INVALID_TOKEN:
      title: Invalid Token
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not a valid token
    RESPONSE_RC_CHALLAN_403_ACCESS_FORBIDDEN:
      title: Access Forbidden
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Access forbidden
    RESPONSE_RC_CHALLAN_422_INVALID_PATTERN:
      title: Invalid RC Pattern
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 422
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: INVALID_INPUT
        message:
          title: Message
          type: string
          default: Invalid RC Pattern.
    RESPONSE_RC_CHALLAN_500_INTERNAL_SERVER_ERROR:
      title: Internal Server Error
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Internal Server Error
    RESPONSE_RC_CHALLAN_500_SOURCE_FAILURE:
      title: Source Failure
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 500
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: SOURCE_FAILURE
        message:
          title: Message
          type: string
          default: Source failure. Unable to validate.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        ACCESS_TOKEN generated from the authorize endpoint. Should be included
        in the header as Bearer .
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        The CLIENT_SECRET provided to you. This header parameter is required for
        authentication purposes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.